
Figure - Bug #114638
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114608 (New): 体验性测试

【AF】【EVT】【蓝牙】设备连接匹配了5个蓝牙设备时，没有相关提示
2022-12-16 14:19 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2022-12-16

Priority: Normal Due date: 2022-12-31

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0058.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

Reproducibility: Every time Fixed Version: 2022-12-30

Test Type: IT Root cause: 蓝牙设备连接上限配置超过 5 。

Description

【前提条件】

1、设备已开机

2、设备上的蓝牙已被打开

3、设备蓝牙已匹配了4个蓝牙

【测试步骤】

1、打开蓝牙设置

2、点击—— ‘与新设备配对’

3、匹配连接一个全新的蓝牙设备

【预期结果】

3、此时已保存了5个蓝牙设备，会有相关弹窗提示给用户

【实际结果】

3、没有相关提示

【复现率】

3/3

History

#1 - 2022-12-16 14:23 - 物联网测试组_CDTS 段小刚

- Tracker changed from 测试 Test-ST to Bug

- Severity set to Normal

- Reproducibility set to Every time

- Test Type set to IOT

- Found Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0058.X101

#2 - 2022-12-16 14:24 - 物联网测试组_CDTS 段小刚

- Category set to CD-FW

#3 - 2022-12-16 14:28 - CD TEST-方永红

- Test Type changed from IOT to IT

#4 - 2022-12-19 10:55 - CD FW-廖涛

- Status changed from New to ASSIGNED
- Assignee changed from CD FW-廖涛 to 方案组-RD3_CDTS 王浩云

哈喽，浩云：

麻烦看下测试反馈这个体验性 BUG，是否限制最多连接 5 个蓝牙设备并且给出提示？如果需要给出提示，需要提供下相关文案。

#5 - 2022-12-19 10:57 - 方案组-RD3_CDTS 王浩云

1.最多连接5个，这个是得要求得 

2.文言：蓝牙连接已到上限

#6 - 2022-12-23 14:12 - CD FW 曹覃刚

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW-廖涛

#7 - 2022-12-26 15:55 - CDTS-TEST 周婷

- Due date set to 2022-12-31

- Target version set to VX1_MCE_FSE_C sample_20230113

#8 - 2022-12-26 18:30 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to 方案组-RD3_CDTS 王浩云

#9 - 2022-12-26 18:33 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD TEST-方永红

匹配数量不做限制，无需文言，连接数量做限制显示连接已达上限

#10 - 2022-12-27 15:00 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

匹配数量不做限制

连接数量到上限（5个)了，弹出提示

#11 - 2022-12-30 17:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173331 general/platform/vendor/qcom-opens

ource/bluetooth-commonsys-intf

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Bluetooth: Set max limit of connected devices 5.TC-RID: 1201-0201801IssueID: TS-R-BUG-114638Change-Id: I55ef64dc17fe0e63fb7726d18c37eafb15834f18

#12 - 2022-12-30 17:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172660 general/platform/packages/apps/Settin
gs -dev

AF:Settings: Add max 5 limit of connected devices tip.TC-RID: 1201-0201801IssueID: TS-R-BUG-114638Change-Id:

I60dcd5f62ec245d81068cb7fbd3864002c05b632

#13 - 2022-12-30 17:56 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution set to FIXED

- Degrated set to No

- Fixed Version set to 2022-12-30

- Root cause set to 蓝牙设备连接上限配置超过 5 。

■ Current conclusion

已处理。

■ My analysis

蓝牙设备连接上限配置设置为 5，并且在连接第 5 个设备的时候给出提示。

■ Next action

测试验证。

#14 - 2023-01-04 10:56 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

1.4

验证通过

#15 - 2023-01-04 11:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
